#!/bin/sh
#
#   mailfax - email to fax gateway for qmail.
#
#   This file should be installed as /local/etc/mailfax, and the
#   following changes made to the qmail configuration:
#
#   Add the following to /var/qmail/control/virtualdomains
#       .fax:fax
#
#   Add the following to /var/qmail/alias/.qmail-fax-default
#       | /local/etc/mailfax
#

TMPVAR=${SENDER//\`/}
TMPVAR=${TMPVAR//\$\(/}
SENDER=${TMPVAR//\)/}

#/usr/bin/faxmail | /usr/bin/sendfax -n \
#        -f "$EXT2 <$SENDER>" \
#	-d "$EXT2@`/usr/bin/expr \"$HOST\" : '\(.*\)\.fax$'`"
		
/usr/bin/faxmail | /usr/bin/sendfax -n \
        -f "$EXT2 <$SENDER>" \
	-d "`echo $HOST|cut -d"." -f1`"
		
